## The *list-workdir.ps1* Script

This PowerShell script lists the current working directory (but not the content itself!)

## Parameters
```powershell
list-workdir.ps1 [<CommonParameters>]

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

## Example
```powershell
PS> ./list-workdir

```

## Notes
Author: Markus Fleschutz | License: CC0

## Related Links
https://github.com/fleschutz/PowerShell

## Source Code
```powershell
<#
.SYNOPSIS
	Lists the current working directory
.DESCRIPTION
	This PowerShell script lists the current working directory (but not the content itself!)
.EXAMPLE
	PS> ./list-workdir
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

try {
	$CWD = Resolve-Path "$PWD"
	"📂$CWD"
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
```

*Generated by convert-ps2md.ps1 using the comment-based help of list-workdir.ps1*
